%define name  doublecmd
%define version 0.7.7
%define release %mkrel 0.1

Summary: Cross platform open source file manager
Summary(de): Plattformunabhängiger OpenSource Dateimanager
Name:	 %{name}
Version: %{version}
Release: %{release}
Group:   File tools
License: GPL
URL:	 http://%{name}.sourceforge.net/site/eng/index.html
Source0:	 %{name}-%{version}.gtk2.i386.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:  %name < %version
Requires:	gtk+2.0

%description
Double Commander is a cross platform open source file manager with two panels side by side. 
It is inspired by Total Commander and features some new ideas. 
Here are some key features of Double Commander:

* Unicode support
* All operations working in background
* Multi-rename tool
* Tabbed interface
* Custom columns
* Internal text editor (F4)  with syntax hightlighting
* Built in file viewer (F3) to view files of in hex, binary or text format
* Archives are handled like subdirectories. You can easily copy files to and from archives. 
Supported archive types: ZIP, TAR GZ, TGZ, LZMA and also BZ2, RPM, CPIO, DEB, RAR.
* Extended  search function with full text search in any files
* Configurable button bar to start external programs or internal menu commands
* Total Commander WCX, WDX and WLX plug-ins support
* File operations logging
* And more...

%description -l de
Double Commander ist ein plattformunabhängiger OpenSource Dateimanager
mit zwei nebeneinander angeordneten Fenstern. Er ist von Total Commander
insperiert und bietet einige neue Ideen.
Hier sind einige Kerneigenschaften von Double Commander:

* Unicode Unterstützung
* Alle Operationen laufen im Hintergrund ab
* Oberfläche bietet Tabs
* Benutzerspezifische Spalten
* Internen Texteditor (F4) mit Syntaxhervorhebung
* Eingebauter Dateibetrachter (F3) zum Betrachten von Dateien im hexdezimalen,
  binären oder Textformat
* Archive werden wie Unterverzeichnisse behandelt. Sie können einfach Dateien
  heraus oder hinein kopieren. Unterstützte Archivtypen: ZIP, TAR GZ, TGZ, LZMA
  und auch BZ2, RPM, CPIO, DEB und RAR.
* Erweiterte Suchfunktion mit Volltextsuche in jeder Datei
* Konfigurierbare Knopfleiste zum Starten von externen Programmen oder internen
  Befehlen
* Unterstützung der WCX, WDX und WLX Plugins von Total Commander
* Aufzeichnung der Dateioperationen in Form eines Logs
* Und mehr...


%prep
rm -rf %{name}

tar -Jxf %{SOURCE0}


%build

%install
pushd %name
rm -rf %{buildroot}

mkdir -p %buildroot%_datadir/%{name}
cp -af * %buildroot%_datadir/%{name}

#launcher
mkdir -p %buildroot%_bindir
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}
exec ./%{name}.sh $@
EOF
chmod +x %{buildroot}%{_bindir}/%{name} 

#menu
mkdir -p %buildroot%_datadir/applications
cat > %buildroot%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Double Commander
Comment=Cross platform open source file manager
Comment[de]=Plattformunabhängiger Dateimanager
Exec=%{name}
Icon=%{name}.png
Type=Application
Terminal=false
Categories=GTK;System;X-MandrivaLinux-System-FileTools;
EOF

#icon
mkdir -p %{buildroot}%_datadir/pixmaps
install -m 0644 %{name}.png %{buildroot}%_datadir/pixmaps/%{name}.png
popd


%clean
rm -rf %{buildroot}

%post
chmod 777 /usr/share/doublecmd


%files 
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png


%changelog
* Thu Feb 09 2017 adrianomorselli <adrianomorselli> 0.7.7-1uplos2017
- rebuild

* Mon Dec 26 2016 ghostbunny <ghostbunny at gmx dot de> 0.7.7-1pclos2017
- 0.7.7 beta

* Wed Dec 21 2016 ghostbunny <ghostbunny at gmx dot de> 0.7.6-1pclos2017
- 0.7.6 beta

* Sat Jul 16 2016 bb <bb> 0.7.3-0.1pclos2016
- update 7.3 beta

* Fri Apr 15 2016 ghostbunny <ghostbunny at gmx dot de> 0.7.1-1pclos2016
- 0.7.1

* Fri Oct 16 2015 ghostbunny <ghostbunny at gmx dot de> 0.6.6-1pclos2015
- 0.6.6


